#include <iostream>
#include <string>

using namespace std;

int main() {
	
	string nebitno;
	int a, b;
	
	cin >> a >> b;
	
	for (int i; i < a; i++)
	{
		
			cin >> nebitno;
		
	}
	
	cout << "-1";
	return 0;
}